@ECHO OFF

:: Check command line arguments
IF "%1"=="" GOTO Syntax
IF NOT EXIST "%1" GOTO Syntax
IF "%2"=="" GOTO Syntax

:: Check if STRINGS.EXE is available
IF NOT EXIST "STRINGS.EXE" GOTO StringsNeeded
:: Check if SORT.EXE is available
IF NOT EXIST "SORT.EXE" GOTO SortNeeded
:: Check if GAWK.EXE is available
IF NOT EXIST "GAWK.EXE" GOTO GawkNeeded

STRINGS -a -q %1 | SORT -u | GAWK -f txt2dtb.awk > %2

:: Done
GOTO End

:StringsNeeded
ECHO This batch file requires SysInternals' STRINGS utility, available
ECHO at http://www.sysinternals.com/utilities/strings.html
GOTO End

:SortNeeded
ECHO This batch file requires Sort utility, available in
ECHO the GNU utilities for Win32 package, downloadable
ECHO at http://unxutils.sourceforge.net/
GOTO End

:GawkNeeded
ECHO This batch file requires Gawk utility, available in
ECHO the GNU utilities for Win32 package, downloadable
ECHO at http://unxutils.sourceforge.net/
GOTO End

:Syntax
ECHO.
ECHO DTA2DTB.BAT,  Version 1.0
ECHO Convert any CT DTA master file to a Win-Test DTB database file
ECHO.
ECHO Usage:  DTA2DTB file_in.DTA file_out.DTB
ECHO.
ECHO Where:  file_in.DTA is the master DTA file (CT format)
ECHO         file_out.DTB is the converted file (Win-Test format)
ECHO.
ECHO Notes : 1/ This batch file requires SysInternals' STRINGS utility, available
ECHO         at http://www.sysinternals.com/utilities/strings.html
ECHO         2/ This batch file requires SORT and GAWK utilities, available in
ECHO         the GNU utilities for Win32 package, downloadable at
ECHO         http://unxutils.sourceforge.net/
ECHO.
ECHO Written by Laurent HAAS - F6FVY
ECHO.

:End

